package cn.minbb.edu.model;

import java.io.Serializable;
import java.util.List;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class Subject implements Serializable {

    // 学科实体
    private Integer id;

    // 学科名称
    private String name;

    // 课程
    private List<Course> voCourseList;

    public Subject(String name) {
        this.name = name;
    }
}
