package cn.minbb.edu.model;

import java.io.Serializable;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@NoArgsConstructor
@AllArgsConstructor
public class User implements Serializable {

    @Getter
    @Setter
    private Integer id;

    @Getter
    @Setter
    private String username;

    @Getter
    @Setter
    private String password;

    @Getter
    @Setter
    private String name;

    @Getter
    @Setter
    private String avatar;

    @Getter
    @Setter
    private String school;

    @Getter
    @Setter
    private Integer stageId;

    @Getter
    @Setter
    private List<Subject> subjectList;

    @Getter
    @Setter
    private Stage voStage;

    @Getter
    @Setter
    private Course voCourse;
}
