package cn.minbb.edu.activities.ui.main;

import android.arch.core.util.Function;
import android.arch.lifecycle.LiveData;
import android.arch.lifecycle.MutableLiveData;
import android.arch.lifecycle.Transformations;
import android.arch.lifecycle.ViewModel;

import cn.minbb.edu.model.Subject;

public class PageViewModel extends ViewModel {

    private MutableLiveData<Integer> mIndex = new MutableLiveData<>();
    private Subject subject;

    private LiveData<Subject> liveData = Transformations.map(mIndex, new Function<Integer, Subject>() {
        @Override
        public Subject apply(Integer input) {
            return subject;
        }
    });

    public void setIndex(int index) {
        mIndex.setValue(index);
    }

    public void setData(Subject subject) {
        this.subject = subject;
    }

    public LiveData<Subject> getLiveData() {
        return liveData;
    }
}