package cn.minbb.edu.app;

import lombok.Getter;

public class URL {

    public static String request(URLEnum urlEnum) {
        return Const.SERVER_HOST + urlEnum.getUrl();
    }

    @Getter
    public enum URLEnum {
        USER_LOGIN("/app/user/login"),
        USER_REGISTER("/app/user/register"),
        USER_AUTO_LOGIN("/app/user/auto/login"),
        USER_INFO("/app/user/info"),
        USER_STAGE("/app/user/stage"),
        BANNERS("/banners"),
        COURSE("/app/course"),
        COURSE_HOT("/app/course/hot"),
        COURSE_EXCELLENT("/app/course/excellent"),
        COURSE_ALL("/app/course/all"),
        COURSE_USER_ALL("/app/course/user/all"),
        COURSE_USER_ADD("/app/course/user/add"),
        COURSE_USER_REMOVE("/app/course/user/remove"),
        SUBJECT("/app/subject"),
        SUBJECT_ALL("/app/subject/all"),
        SUBJECT_USER("/app/subject/user"),
        STAGE_ALL("/app/stage/all");

        private String url;

        URLEnum(String url) {
            this.url = url;
        }
    }
}
